Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacard.security
Interface PublicKey

All Superinterfaces:
  Key

All Known Subinterfaces:
  DSAPublicKey, ECPublicKey, RSAPublicKey

All Known Implementing Classes:
  DSAPublicKeyImpl, ECPublicKeyImpl, RSAKeyImpl, RSAPrivateCrtKeyImpl

    public interface PublicKey

extends Key

The `PublicKey` interface is the base interface for public keys used in asymmetric algorithms.

Method Summary

Methods inherited from interface javacard.security.Key
`clearKey, getSize, getType, isInitialized`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD